type: prog

titre: Bénéfices semestriels

niveau: intermédiaire

objectif: Produire les bénéfices semestriels à partir des fichiers ventes et dépenses

énoncé: |
  On souhaite enregistrer dans des **fichiers binaires** le montant des **ventes** et des **dépenses** durant les **6** derniers mois de l'année, et produire en sortie les **bénéfices** de chaque mois.
  Les  montants des **ventes** des mois du semestre sont reçus en entrée et produits en sortie dans le fichier binaire `ventes.dat`.

  Les montants des **dépenses** des mois du semestre sont reçus par la suite en entrée et produits en sortie dans le fichier binaire `depenses.dat`.

  Enfin, les données binaires sont lues des deux fichiers pour produire en sortie les **bénéfices** respectifs de chacun des **6** mois.

  ### Entrées

  - **vente** : montant de la vente du mois, entré **6** fois en boucle (nombre entier)
  - **dépense** : montant de la dépense du mois, entré **6** fois en boucle (nombre entier)

  ### Sortie attendue

  La liste des **ventes, dépenses et bénéfices** des mois du semestre (nombres entiers)

  ### À faire

  Compléter le code afin d'écrire dans les fichiers les données des **ventes et dépenses** des mois du semestre et les produire en sortie avec les **bénéfices** respectifs des mois en suivant le modèle des exemples ci-dessous

  ### Exemples

  1. Un semestre rentable

  - Entrées :
  ```
    100
    200
    300
    400
    500
    600
    10
    20
    30
    40
    50
    60

  ```
  
  - Sortie attendue :
  ``` 
    vente: 100 - dépense: 10 - bénéfice: 90
    vente: 200 - dépense: 20 - bénéfice: 180
    vente: 300 - dépense: 30 - bénéfice: 270
    vente: 400 - dépense: 40 - bénéfice: 360
    vente: 500 - dépense: 50 - bénéfice: 450
    vente: 600 - dépense: 60 - bénéfice: 540

  ```

  2. Un semestre sans frais

  - Entrées :
  ```
    120
    200
    350
    400
    50
    800
    0
    0
    0
    0
    0
    0

  ```
  
  - Sortie attendue :
  ``` 
    vente: 120 - dépense: 0 - bénéfice: 120
    vente: 200 - dépense: 0 - bénéfice: 200
    vente: 350 - dépense: 0 - bénéfice: 350
    vente: 400 - dépense: 0 - bénéfice: 400
    vente: 50 - dépense: 0 - bénéfice: 50
    vente: 800 - dépense: 0 - bénéfice: 800

  ```
ébauches:
  java: !include Benefice.java


rétroactions:
  positive: Bravo !
  négative: Revoir la syntaxe de d'écriture et lecture dans fichier binaire

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA

